//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.MemoryWritingRequest
{
    [Serializable]
    public class WorkingMemoryServiceResponse : Message
    {
        public const string k_RosMessageName = "rise_core/WorkingMemoryService";
        public override string RosMessageName => k_RosMessageName;

        public string json_response;

        public WorkingMemoryServiceResponse()
        {
            this.json_response = "";
        }

        public WorkingMemoryServiceResponse(string json_response)
        {
            this.json_response = json_response;
        }

        public static WorkingMemoryServiceResponse Deserialize(MessageDeserializer deserializer) => new WorkingMemoryServiceResponse(deserializer);

        private WorkingMemoryServiceResponse(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.json_response);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.json_response);
        }

        public override string ToString()
        {
            return "WorkingMemoryServiceResponse: " +
            "\njson_response: " + json_response.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Response);
        }
    }
}
